ついさっき気付いたのだが,4月4日のポストまでは feed で取得できていた様子。だが,5日以降の feed が全く取得/更新できないという事態に陥っていた。4日以降に変更した箇所,プラグインは無いはず。

アグリゲーたで取得できなかったのでブラウザで feed を開いたところ,以下のエラーが出ていた。

Warning: Cannot modify header information – headers already sent by (output started at /home/sites/lolipop.jp/users/hogehoge/web/wp-atom.php:8 )

ヘッダが二重に送られているというエラーなのは間違いなのだが,どこを直せばいいかよくわからなかったが,wp-atom.php,wp-rdf.php,wp-rss.php,wp-rss2.php の8行目を見たところ,

header('Content-type: application/atom+xml; charset=' . get_settings('blog_charset'), true);

とあったのでこれを削除してみたところ NetNewsWire Lite や Bloglines での feed 取得は問題なくできた。だけれども,,SafariRSS での feed 取得が不可能になった。

んー。以前までは問題なかったのでやっぱりプラグイン周りかなあ…